Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.wli.jpd
Annotation Type RosettaNet

    public @interface RosettaNet

Replacement for jpd:rosettanet annotation defined in 8.1. This annotation specifies the settings for participant business processes involved in exchanging RosettaNet business messages.

Required Element Summary
`String` | `pipName` This attribute specifies the RosettaNet PIP code, such as 3B2.
`String` | `pipRole` This attribute specifies the RosettaNet role name for the recipient as defined in the PIP specification, such as Seller, Supplier, Shipper, and so on.
`String` | `pipVersion` This attribute specifies the RosettaNet PIP version.
`RosettaNet.PROTOCOL` | `protocolName` This attribute specifies the protocol name, which is always rosettanet.
`RosettaNet.RNIF_VERSION` | `protocolVersion` This attribute specifies the RNIF (RosettaNet Implementation Framework) version.

Element Detail

### protocolName

    public abstract RosettaNet.PROTOCOL protocolName

  This attribute specifies the protocol name, which is always rosettanet.

### protocolVersion

    public abstract RosettaNet.RNIF_VERSION protocolVersion

  This attribute specifies the RNIF (RosettaNet Implementation Framework) version.

### pipName

    public abstract String pipName

  This attribute specifies the RosettaNet PIP code, such as 3B2. Must be a valid PIP code as defined in http://www.rosettanet.org

### pipVersion

    public abstract String pipVersion

  This attribute specifies the RosettaNet PIP version. Must be a valid version number associated with the PIP.

### pipRole

    public abstract String pipRole

  This attribute specifies the RosettaNet role name for the recipient as defined in the PIP specification, such as Seller, Supplier, Shipper, and so on. A PIP request might be rejected if an incorrect value is specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT